Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/linkcategorylist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZLinkMain", "Language" )
| $AdminLimit = $ini->variable( "eZLinkMain", "AdminLinkLimit" )
| $DOC_ROOT = $ini->variable( "eZLinkMain", "DocumentRoot" )
| $languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/linkcategorylist.php.ini", false )
| $t
| $linkCategory = new eZLinkCategory()
| $pathArray = $linkCategory->path()
foreach( $pathArray as $path) | $linkCategoryList =& $linkCategory->getByParent( $LinkCategoryID )
if( $LinkCategoryID=="incoming") if(count( $linkCategoryList)==0) | else
| $link = new eZLinkCategory()
| $linkCount =& $linkCategory->linkCount()

## Variable Documentation

## ◆ $AdminLimit

$AdminLimit = $ini->variable( "eZLinkMain", "AdminLinkLimit" )

Definition at line 34 of file admin/linkcategorylist.php.

## ◆ $DOC_ROOT

$DOC_ROOT = $ini->variable( "eZLinkMain", "DocumentRoot" )

Definition at line 35 of file admin/linkcategorylist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file admin/linkcategorylist.php.

## ◆ $Language

$Language = $ini->variable( "eZLinkMain", "Language" )

Definition at line 33 of file admin/linkcategorylist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/linkcategorylist.php.ini", false )

Definition at line 36 of file admin/linkcategorylist.php.

## ◆ $link

$link = new eZLinkCategory()

Definition at line 181 of file admin/linkcategorylist.php.

## ◆ $linkCategory

$linkCategory = new eZLinkCategory()

Definition at line 90 of file admin/linkcategorylist.php.

Referenced by createLinkMenu().

## ◆ $linkCategoryList

foreach ($pathArray as $path) $linkCategoryList =& $linkCategory->getByParent( $LinkCategoryID )

Definition at line 106 of file admin/linkcategorylist.php.

## ◆ $linkCount

$linkCount =& $linkCategory->linkCount()

Definition at line 190 of file admin/linkcategorylist.php.

## ◆ $pathArray

$pathArray = $linkCategory->path()

Definition at line 96 of file admin/linkcategorylist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezlink/admin/" . $ini->variable( "eZLinkMain", "AdminTemplateDir" ),
"kernel/ezlink/admin/intl/", $Language, "linkcategorylist.php" )
$Language
$Language
Definition: admin/linkcategorylist.php:33
$ini
$ini
Definition: admin/linkcategorylist.php:31
eZTemplate
Definition: eztemplate.php:107

Definition at line 51 of file admin/linkcategorylist.php.

## ◆ else

if (! $linkList) else

Initial value:
{
$i=0
$i
$i
Definition: admin/adlist.php:91

Definition at line 118 of file admin/linkcategorylist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.